// ledson.c - simple program to light LEDs
// Sets pins to output, lights pattern of LEDs, then loops forever
// Olimex 1121STK board with LEDs active low on P2.3,4
// J H Davies, 2006-05-17; IAR Kickstart version 3.41A
//----------------------------------------------------------------------
#include <msp430x11x1.h>			// Specific device

void main (void)
{
	WDTCTL = WDTPW | WDTHOLD;		// Stop watchdog timer
	P2DIR = 0x18;		// Set pins with LEDs to output, 0b00011000
	P2OUT = 0x08;		// LED2 (P2.4) on, LED1 (P2.3) off (active low!)
	for (;;) {			// Loop forever...
	}					// ...doing nothing
}
