// Prototypes for SBLCDA4 utility functions
void LCDInit (void);						// Initialize SBLCDA4
void DisplayLine (void);					// Display --------
void DisplayErr (void);						// Display "Error"
void DisplayHello (void);					// Display "HELLO"
void DisplayHex (uint16_t HexValue);		// Display hex word 1234h
void DisplayUint (uint16_t UintValue);		// Display unsigned word
void DisplayUlint (uint32_t UlintValue);	// Display unsigned longword
void DisplayInt (int16_t IntValue);			// Display signed word
void DisplayDeciCels (int16_t Temperature);	// Display temp to 0.1 oC
void DisplayCentiCels (int16_t Temperature);	// Disp temp to 0.01 oC
uint32_t UintToBCD (uint16_t UintValue);	// Convert uint to BCD
uint32_t UlintToBCD (uint32_t UlintValue);	// Convert ulint to BCD
void PortsInit (void);						// Set up i/o ports
